      SUBROUTINE EXEC(COM)
      CHARACTER*(*) COM
      CHARACTER*4096 BUFFER
C
      L = LEN(COM)
      IF (L.GT.4096) THEN
        PRINT*, '*** EXEC : PLUS DE 4096 CARACTERES ***'
        RETURN
      ENDIF
      BUFFER(1:L) = COM
      CALL system(BUFFER(1:L)//CHAR(0))
      END
